Scilab Function
Last update : 16/6/2004

inttrap - intégration approchée de données expérimentales avec la méthode des trapèzes.

### Calling Sequence

  `v = inttrap([x,] s)`

### Parameters

- `x` : vecteur des abscisses, classées par ordre croissant. La valeur par défaut est `1:size(y,'*')`
- `s` : vecteur des ordonnées.
- `v` : valeur de l'approximation de l'intégrale

### Description

Calcule une approximation de :

où f est donnée sous forme de valeurs expérimentales :

`s(i)=f(x(i))` et `x0=x(1)`, `x1=x(n)`

Entre les points, f est approchée linéairement.

### Examples

    t=0:0.1:%pi
    inttrap(t,sin(t))

### See Also

`intg`, `intc`, `intl`, `integrate`, `intsplin`, `splin`,